1.31.0-wmf.8 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.31.0-wmf.8
Release Date
Nov 14 2017, 6:00 AM

2017 week 46 1.31-wmf.8 Changes wmf/1.31-wmf.8

This MediaWiki Train Deployment is scheduled for the week of Monday, November 13th:

Monday November 13thTuesday, November 14thWednesday, November 15thThursday, November 16thFriday
SWAT deployments onlyBranch wmf.8, Deploy to Group 0 WikisDeploy wmf.8 to Group 1 WikisDeploy wmf.8 to all WikisNo deployments on fridays

How this works

  • Any serious bugs affecting wmf.8 should be added as subtasks beneath this one.
  • Any open subtasks block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.

Related Links

Other Deployments

Previous: 1.31.0-wmf.7
Next: 1.31.0-wmf.9
mmodell created this task.Oct 19 2017, 10:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 19 2017, 10:25 PM
Legoktm added a subscriber: Legoktm.Nov 9 2017, 8:33 PM

When preparing the wmf.8 branch, please cherry-pick https://gerrit.wikimedia.org/r/#/c/390184/ and https://gerrit.wikimedia.org/r/#/c/390190/ - it's been cherry-picked to wmf.7, and wmf.8 will be the last branch they need to be in.

demon claimed this task.Nov 9 2017, 8:51 PM

@demon did those two patches get cherry-picked into wmf.8?

demon added a comment.Nov 16 2017, 5:02 PM

@Legoktm They have now 😂

Once the train is unblocked (if it is) then the 2 patches in T180727#3769190 should be backported before it continues rolling forward.

greg added a comment.Nov 17 2017, 5:53 PM

The db crash issue is now resolved (see: https://wikitech.wikimedia.org/wiki/Incident_documentation/20171116-s5-dewiki-wikidata ). We will resume the wmf.8 train on Monday to get us back on track.

Johan added a subscriber: Johan.Nov 17 2017, 6:06 PM

@greg Will the train reach all wikis on Monday, or will it come to the last wikis later next week (like Tuesday or Wednesday)?

greg added a comment.EditedNov 17 2017, 6:10 PM

@Johan: wmf.8 is on group0+group1 right now: https://tools.wmflabs.org/versions/ . It (wmf.8) will go to group2 on Monday (so all wikis).

There will be no wmf.9 train going next week (thanksgiving holiday).

wmf.10/the week of the 27th we'll do as normal (Tues-Thu).

Group 2 is back on wmf.7. When the update is gonna be?

Group 2 is back on wmf.7. When the update is gonna be?

There were some issues yesterday that now all seem resolved. I plan on rolling forward at 20:00 UTC.

demon closed this task as Resolved.Nov 22 2017, 11:31 PM